Civil 3D Toolkit Feedback thread

Hi, I can’t get pipe by handle using DocumentExtensions.ObjectByHandle node. I use Civil 3D 2022 and Civil3DToolkit 1.1.28.
Here is picture and log file:


Autodesk_Civil3DToolkit.txt (50.1 KB)

1 Like

Dear Paolo and Safi thank you for this great job.

i created a Soild from Surface and i would like to move this Soild to a new position with in Z direction -0,2.

Which node to use?

Hi @Mohammad.almohammad,
Is this what you are trying to achieve?

3 Likes

Yes perfect, It works :wink:

possible solution
Operate mtext from writing content mtext
and blow it up
And take texts from him

222

lisp

;; Roy_043
(defun KGA_Sys_Entlast ( / enm tmp)
 (if (setq enm (entlast))
   (while (setq tmp (entnext enm))
     (setq enm tmp)
   )
 )
 enm
)
(defun AeccDbPointInsPointGet (enm / enmLast obj ptLst tmp)
 (setq enmLast (KGA_Sys_Entlast))
 (setvar 'cmdecho 0)
 (command "_.explode" enm)
 (while (setq tmp (entnext enmLast))
   (if (= "AcDbText" (vla-get-objectname (setq obj (vlax-ename->vla-object tmp))))
     (setq ptLst (vl-list* (vlax-get obj 'textstring) ptLst))
   )
   (setq enmLast tmp)
 )
  
 (command "_.u")
 (setvar 'cmdecho 1)
 (if (< 1 (length ptLst)) (reverse ptLst))
)


(defun c:tstLMLEADER (/ cnt sset1 obj)
  (vl-load-com)
    (if (setq sset1 (ssget '((0 . "MULTILEADER"))) )  ;(0 . "MULTILEADER")   
    (progn

      
      (initget 0 "type1 type2")
 (setq chosen (cond ((getkword "\nSpecify demo number [type1/type2] <type1>: "))
               ("type1")
         )
 )

         (setq cnt -1)
    
      (while (< (setq cnt (1+ cnt)) (sslength sset1))
        (setq obj     (vlax-ename->vla-object  (SETQ ENTMT (ssname sset1 cnt)))
              ObjText (vlax-get obj 'textstring)
              )
        
        (setq entMTXT (entmakex (list '(0 . "MTEXT")
                            '(100 . "AcDbEntity")
                            '(8 . "Text List")
                            (cons 10 (CDR(ASSOC 10(ENTGET ENTMT))))
                            '(100 . "AcDbMText")
                             '(40 . 0.1)
                              (cons 1 ObjText)
                            '(41 . 0)
                            '(210 0. 0. 1.)
                            ) ;_ end of list
                      ) ;_ end of entmakex
        
        )
        
               
              (if (= chosen "type1")
                (vlax-put obj
		  'textstring
		  (car (AeccDbPointInsPointGet entMTXT))
	)
              (vlax-put obj
		  'textstring
		  (cadr (AeccDbPointInsPointGet entMTXT))
	)
                )
               
         (entdel (vlax-vla-object->ename (vlax-ename->vla-object entMTXT)))
      )   ; end while

      (command "regen")

    )     ; end progn
  )       ; end if

  (princ)
)
1 Like

New Sheet Set Manager Nodes are a nice addition @Paolo_Emilio_Serra1 . Has anyone had luck writing a script to run the C3D View Frame-Plan Profile Sheet Creation in Dynamo? Might have to be custom python as I’m not seeing nodes for it, but they could be hiding. Thanks! Happy to share some scripts I have.

@nick.turner66KAP try the Sheet Set Manager package from @AdammReilly.

1 Like

Thanks @mzjensen, those nodes are great from Adam. I’m looking to do View Frame and Plan-Profile Sheet Creation. Is that possible in those?

Hmm, I think that package is specific to the sheet set manager, so probably not. But I’m curious to know how you envision the workflow that you described. Not sure that this thread is the best place to do it though…maybe you can send me a DM?

1 Like

Unfortunately, View Frames are a Civil 3D object that doesn’t truly connect to the Sheet Set Manager API. The Sheet Set Manager package also doesn’t have any support for views, right now. It is on my list to attempt, but has been on the back burner.
If there’s a package for creating the views and sheets using the View Frames, you could then add those sheets to the sheet set with my package. You’d still have an issue with not being able to access the views after that.

2 Likes

Hi, When the curve is straight line with multiple vertex, PolylineExtensions.ObjectByGeometry node has not any error. However, there is not the polyline in Civil 3D.

If the curve is not straight line, the node draw the polyline in Civil 3D.

If I use Polyline.ByPoints node, there is the polyline in Civil 3D.

I use Civil 3D 2022.0.1 Update, Dynamo Civil3D 2.10.1.214 and Civil3DToolkit 1.1.28.
Is this known issue for PolylineExtensions.ObjectByGeometry node?

I am also interested to know about this issue. I have the same problem with the node in question.

1 Like

Hi!

I have trouble loading the package and getting the flowing notification:

“A package called Civil3DToolkit found at C:\ProgramData\Autodesk\C3D 2021\Dynamo\2.5\packages\fed97dca-c47e-4dcc-91b9-cf4bd27fa255gregPkg396 could not be verified to have signed dll files. A dll file found at C:\ProgramData\Autodesk\C3D 2021\Dynamo\2.5\packages\fed97dca-c47e-4dcc-91b9-cf4bd27fa255gregPkg396\bin\Autodesk.Civil3DToolkit.dll did not have a certificate attached. Ignoring it.”

I tried running the latest version of the package without any luck, any suggestion on how to solve the issue?

Do you have a node for setting the hydraulic grade lines and Flow Rate? I am trying to adjust my network from values in a spreadsheet. I can get the pipe size and invert elevations to work.

Thanks

Hi @fner99,

Can you try ObjectExtensions.GetParameters and ObjectExtensions.SetParameterValueByName?

Sample Image below:
image

Very minor thing, I found a typo on one of the nodes. Toolkit > PipeNetworks > Pipe > ParSizeName. It went messing with my search for half a second. (“Why does structures have one but not pipes!.. oh”)

1 Like

Toolkit part of public road map Trello Trello

1 Like

@Drbohlav you beat me :wink: , the Civil 3D dev team is planning their road map and now is the time for the Dynamo for Civil 3D community’s opportunity to vote for integrating Civil3DToolkit into core dynamo! just need your email to sign up for free and vote here: Trello

3 Likes

Hi, i was trying to swap my structures, but it only call’s the one i changed manually and it doesn’t change any structure… i would be thankful for your help.

Dear Kulkul
please share with us script its very helpful us

Thankyou
Naveen-BIM